/ NEWS

MacKeeper Stops Supporting the Old Versions

Popular articles

28 / 12 / 2015

MacKeeper™ Stops Supporting the Old Versions

Starting from January 2016, MacKeeper™ 1.x and 2.x are no longer maintained.

What does the end of support mean?

All versions prior to MacKeeper™ 3.x will not get software updates. This includes bug fixes, new development, and 24/7 customer support. However, even if you have earlier versions, they will keep functioning.

Why do we end the support of older versions?

We have been supporting all MacKeeper™ releases for 5 years, however, the earlier versions are becoming outdated. If you keep using old MacKeeper™ that is no longer supported, your program will still work but the risks of vulnerabilities and virus attacks will increase. Our team wants to provide the users with the excellent service and to focus on the development of our current and upcoming versions.

Support end dates

As of the 1st of January 2016, users who still have MacKeeper™ 1.x and 2.x versions will no longer get updates and security fixes.

What can I do?

We strongly recommend updating to the latest MacKeeper™ 3.x version in order to use the fully supported and secure software.

We understand that a lot of our current users still have old releases, that's why we would like to offer a 50% discount so that all our users could get the newest MacKeeper™ 3.x.